<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"] ?: array()) + array("_a7526e87" . "36d966fe5" . "3806d9400" . "194a23" => base64_decode("Y2hlY2tlZF" . "9vdXRfdG8="), "_6e38cb9e043a07cd69" . "a1711a6704c62a" => base64_decode("cGFy" . "ZW50" . "X2lk"));
use Claromentis\Core\Event\GenericEvent;


class CheckoutDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetCheckedOutTo()
    {
        return $this->getArgument($GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_a7526e8736d966fe53806d940" . "0194a23"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_6e38cb9e043a07" . "cd69a1711a6704c" . "62a"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}